/*
*  pgpdpassdlgs2.h 
*
*  Copyright (C) 2012 Richard Christman 
*
*  This file is part of QuickSilver AAM.
*
*  QuickSilver AAM is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver AAM, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver AAM grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef pgpdpassdlgs2H
#define pgpdpassdlgs2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

AnsiString __fastcall GetSelectedDecryptionPassphrase(TForm *Owner, const AnsiString &passphrase, int keycount);
bool __fastcall ConfirmRetrieveMailWithDecryption(TForm *Owner, AnsiString &passphrase, bool &decrypt);

class TPGPDPassDlg2 : public TForm
{
__published:	// IDE-managed Components
		TBevel *Bevel1;
		TLabel *Label2;
		TMemo *Phrase;
		TCheckBox *HideBox;
		TButton *OkBtn;
		TButton *CancelBtn;
		TLabel *Label1;
	TCheckBox *DecryptBox;
	TPanel *Panel1;
		void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
		void __fastcall HideBoxClick(TObject *Sender);
	void __fastcall DecryptBoxClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
		TColor EditColor;
		__fastcall TPGPDPassDlg2(TComponent* Owner);
		__fastcall virtual ~TPGPDPassDlg2();
};
//---------------------------------------------------------------------------
extern PACKAGE TPGPDPassDlg2 *PGPDPassDlg2;
//---------------------------------------------------------------------------
#endif
